<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [nuke](./bitburner.ns.nuke.md)

## NS.nuke() method

Runs NUKE.exe on a server.

**Signature:**

```typescript
nuke(host: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | Hostname of the target server. |

**Returns:**

void

## Remarks

RAM cost: 0.05 GB

Running NUKE.exe on a target server gives you root access which means you can execute scripts on said server. NUKE.exe must exist on your home computer.

## Example


```js
ns.nuke("foodnstuff");
```

